Subject: Re: #1045 - 23.0.60; (Cocoa Emacs) - Emacs bug report logs

From: Nick Roberts <[email-masked]>
Date: Mon, 20 Oct 2008 21:02:01 +1300

Adrian Robert writes:
 > > Using "configure --with-ns" on Leopard: Using M-x gdb with gdb-many- 
 > > values set to t, the associated buffers, e.g., stack locals etc.  
 > > have an extra ^M at the end of each line
 > 
 > If you get a chance, could you see if this happens with an X11 emacs  
 > on OS X?  I'm not aware of any code in the Cocoa port that would set  
 > things relating to line endings (or anything else non-graphical -- it  
 > just renders glyphs and faces given to it by xdisp.c), but perhaps  
 > it's some kind of weird interaction with the system-detected line  
 > ending format?

I've done that now and can confirm that GDB related buffers have an extra ^M at
the end of each line with an X11 emacs too.

-- 
Nick                                           http://www.inet.net.nz/~nickrob